<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <title>html form</title>
  </head>
  <body>
    <div class="container">
      <form id="form">
        email:<br />
        <input
          type="text"
          placeholder="type your email"
          id="email"
          pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
          required
        />
        <br />
        password:<br />
        <input
          type="password"
          placeholder="pass"
          id="password"
          pattern="^(?=.{8,})(?=.*[a-z])(?=.*[A-Z])(?=.*[@#$%^&+=]).*$"
          minlength="6"
          required
        />
        <br />
        choose gender:<br />
        <select name="gender" id="dropdown" required>
          <option value="">None</option>
          <option value="Male">Male</option>
          <option value="Female">Female</option>
          <option value="Other">Other</option>
        </select>
        <br />

        <input
          name="radioname"
          type="radio"
          value="admin"
          required
        />Admin<br />
        <input name="radioname" type="radio" value="user" required />
        User
        <br />

        choose permission: <br />
        <input type="checkbox" name="check" value="perm1" />perm1<br />
        <input type="checkbox" name="check" value="perm2" />perm2<br />
        <input type="checkbox" name="check" value="perm3" />perm3<br />
        <input type="checkbox" name="check" value="perm4" />perm4<br />

        <input type="submit" id="button" value="submit" />
      </form>
    </div>
    <script type="text/javascript" src="index.js"></script>
  </body>
</html>
